![CalipeL](https://bitbucket.org/janvrany/jv-calipel/raw/71925d2ae258ffe413e495ea680e65a1834b4c13/web/public/images/logo.png)

*Benchmarking made easy*

CalipeL is a simple framework to ease development and maintenance
of benchmarks and performance regressions. CalipeL has been heavily 
inspired by [SUnit][1] and [Caliper][2]

The basic ideas behind are:

- Benchmarking and (especially) interpreting benchmark results is always
  a monkey business. Therefore the framework should be as simple as 
  possible so everybody understands the meaning of numbers it gives.
- Benchmark results should be kept and managed at single place so one
  can view and retrieve all past benchmark results pretty much the same
  way as one can view and retrieve past versions of the software from
  VCS.

## Features

- *simple* - creating a benchmark is as simple as writing a method in a class
- *flexible* - a special set-up and/or warm-up routines could be specified at benchmark-level as well as set of parameters to allow fine-grained measurements
under different conditions 
- *multi-language* - supports multiple languages to allow for language/runtime comparison
- *web* - comes with simple web interface to gather and process benchmark results. [Example...](https://swing.fit.cvut.cz/calipel)

## Supported Languages

* [Smalltalk/X][4]
* [Pharo][5]

Planned:

* Java
* Ruby
* Python

## More Information

...could be found on [wiki][3].

## Authors

* Jan Vraný `<jan.vrany [*] fit.cvut.cz>`
* Marcel Hlopko

[1]: http://sunit.sourceforge.net/
[2]: https://code.google.com/p/caliper/
[3]: https://bitbucket.org/janvrany/jv-calipel/wiki/Home
[4]: http://www.exept.de/de/products/smalltalkx
[5]: http://www.pharo-project.org/home
