$(function() {
	$(".chart-timeline").each(function(idx, element) {
		var palette = new Rickshaw.Color.Palette( { scheme: "spectrum14" } );

		var graph = new Rickshaw.Graph.Ajax({
			element: $(element).find(".chart")[0],
			renderer: 'line',
			dataURL: $(element).data("json-url"),
			onData: function(series) {
				var i;
				var j;
				var timestamps;
				for (i = 0; i < series.length; i++) {
					series[i].color = palette.color();
					timestamps = [];
					for (j = 0; j < series[i].data.length; j++) {
						sample = series[i].data[j];
						if (timestamps.indexOf(sample.timestamp) == -1) {
							timestamps.push(sample.timestamp)
						}
					}
					timestamps.sort();
					for (j = 0; j < series[i].data.length; j++) {
						sample = series[i].data[j];
						sample.x = sample.timestamp;
						sample.y = sample.value;
					}
				}
				return series;
			},
			onComplete: function(transport) {
				var y_axis = new Rickshaw.Graph.Axis.Y({
					graph: transport.graph,
					orientation: 'left',
					element: $(element).find(".chart-y-axis")[0],
				});
				y_axis.render();

				var x_axis = new Rickshaw.Graph.Axis.Time({
					graph: transport.graph,
				});
				x_axis.render();

				var legend = new Rickshaw.Graph.Legend({
					graph: transport.graph,
					element: $(element).find(".legend")[0]
				});

				var highlighter = new Rickshaw.Graph.Behavior.Series.Highlight({
					graph: transport.graph,
					legend: legend
				});

				var shelving = new Rickshaw.Graph.Behavior.Series.Toggle({
					graph: transport.graph,
					legend: legend
				});

				var hoverDetail = new Rickshaw.Graph.HoverDetail( {
					graph: transport.graph,
					formatter: function(series, x, y) { 
						var date = '<span class="date">' + new Date(x * 1000).toUTCString() + '</span>';
						var content = y + " [ms]<br/>" + series.name + "<br/>" + date;
						return content;
					},
				} );
			}
		});

	});
});
